SAP Knowledge Base Article - Preview

2192785 - Build error with unresolved model when migrating from 5.0.x to 5.1.0 or higher version

Symptom

In hybris 5.0.x, if class "de.hybris.platform.acceleratorcms.model.components.PurchasedProductReferencesComponentModel" is used or extended in custom extension, when executing "ant clean all" during migration from old version to 5.1.0 or higher version, a build error

"The import de.hybris.platform.acceleratorcms.model.components.PurchasedProductReferencesComponentModel cannot be resolved", will occur.

 


Read more...

Environment

  • hybris Commerce Suite 5.0.x
  • hybris Commerce Suite 5.1.x or higher version

Product

SAP hybris Commerce Suite 5.2 ; SAP hybris Commerce Suite 5.3 ; SAP hybris Commerce Suite 5.4 ; SAP hybris Commerce Suite 5.5 ; SAP hybris Commerce Suite 5.5-1 ; hybris Commerce Suite 5.0 ; hybris Commerce Suite 5.1 ; hybris Commerce Suite 5.1.1

Keywords

migration, upgrade, cannot be resolved, build error, hybris. cec , KBA , CEC-COM-CPS , SAP Commerce , How To

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.